"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const Config_1 = require("./Config");
const Transpiler_1 = require("./Transpiler");
class Cache {
    constructor(dir) {
        this.dir = dir;
        Cache.entries.set(dir, this);
    }
    static get(path) {
        const dir = path_1.dirname(path);
        if (Cache.entries.has(dir)) {
            return Cache.entries.get(dir);
        }
        else {
            return new Cache(dir);
        }
    }
    get config() {
        if (this.myConfig === undefined) {
            this.myConfig = Config_1.default.resolve(this.dir);
        }
        return this.myConfig;
    }
    get transpiler() {
        if (this.myTranspiler === undefined) {
            this.myTranspiler = Transpiler_1.default.resolve(this.dir);
        }
        return this.myTranspiler;
    }
}
Cache.entries = new Map();
exports.default = Cache;
