"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resolve_1 = require("./resolve");
exports.default = {
    resolve: (baseDir) => {
        const location = resolve_1.default(baseDir, 'node_modules');
        try {
            return require(`${location}/typescript`);
        }
        catch (err) {
            console.error(`Failed to load transpiler for directory ${baseDir}.\nDo you have TypeScript installed as a peerDependency? Error message was:\n${err.message}`);
            return null;
        }
    },
};
