"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
function* searchLocations(baseDir, resource) {
    let next = baseDir;
    let prev = '';
    while (prev !== next && path.basename(next) !== 'node_modules') {
        yield path.join(next, resource);
        prev = next;
        next = path.join(next, '../');
    }
}
function resolve(baseDir, fileName) {
    for (const location of searchLocations(baseDir, fileName)) {
        if (fs.existsSync(location)) {
            return location;
        }
    }
    return undefined;
}
exports.default = resolve;
